' ILM-216 Feature-Demo Program
' Runs without modification under the following:
' QBASIC, QuickBASIC, PowerBASIC, First BASIC
' Demonstrates major features of the display.
' Program assumes that both serial input and
' output of the ILM-216 are connected to the
' PC serial port. To demonstrate the keypad
' feature, you will also need switches
' connected to pins 9 through 16 as shown
' in the manual.

CLS     ' Clear the _computer_ screen (not LCD).

' Open com 1 at 2400 baud. (Change port and/or
' speed if needed; 2400 is default speed for ILM-216
' unless EEPROM configuration is changed or pin 8
' is grounded.
OPEN "COM1:2400,N,8,1,CD0,CS0,DS0" FOR RANDOM AS #1

' Clear screen (cntl-L, ASCII 12) and print title.
PRINT #1, CHR$(12); "ILM Feature Demo";

' Switch on the backlight (cntl-N, ASCII 14), and
' ring the bell (cntl-G, ASCII 7).
PRINT #1, CHR$(14); CHR$(7);

' Wait for the user to press Enter.
PRINT : INPUT "Press enter to show EEPROM screen", X$

' Send Escape (ASCII 27) E0 to transfer text stored
' in EEPROM to the screen, replacing previous contents.
PRINT #1, CHR$(27); "E0";

' Wait for the user to press Enter.
PRINT : INPUT "Press enter to read keys", X$
PRINT #1, CHR$(12);     ' Clear LCD.

' Send Escape (ASCII 27) K1 to have the display send
' back a four-byte string representing the state of
' the four key switches. The bytes are in order, S1
' through S4, and a "1" means closed/pressed; "0"
' means open.
DO
 CLS    'Clear _PC_ screen.
 PRINT #1, CHR$(27); "K1";
 keyStates$ = INPUT$(4, #1)     ' Get 4 bytes.
 PRINT : PRINT keyStates$       ' Print to PC screen.
' Print key states centered on first line of LCD
' using cntl-P (ASCII 16) to position 6 (64+6).
 PRINT #1, CHR$(16); CHR$(70); keyStates$;
 PRINT : PRINT "Press any key to repeat or Q to quit"
 DO: pcKey$ = UCASE$(INKEY$): LOOP UNTIL pcKey$ <> ""
LOOP UNTIL pcKey$ = "Q"

' Display custom characters and show how to change them.
' Clear screen (ASCII 12) then go to position 20 (ASCII
' 16 followed by 20 + 64). Then show the symbols, which
' reside at ASCII 128-135.
PRINT #1, CHR$(12); "Custom Symbols";
PRINT #1, CHR$(16); CHR$(84);
PRINT #1, CHR$(128); CHR$(129); CHR$(130); CHR$(131);
PRINT #1, CHR$(132); CHR$(133); CHR$(134); CHR$(135);

CLS     ' Clear _PC_ screen.
INPUT "Watch last custom character while you press Enter", X$

' Send ESC D 7 to redefine symbol 7 to a new shape.
PRINT #1, CHR$(27); "D7"; CHR$(0); CHR$(4); CHR$(2);
PRINT #1, CHR$(31); CHR$(2); CHR$(4); CHR$(0); CHR$(0);




END

CLOSE

