' Program: HELLOILM.BAS (Hello World program for ILM-216)
' This program demonstrates the most basic functions of the ILM-216
' serial LCD module. It shows how to clear the screen, print text 
' and position the cursor. It assumes that the ILM-216 serial 
' input (pin 3) is connected to I/O pin 0 of the BASIC Stamp I
' and that the ILM-216 is set for 2400 baud (factory default). 

' ===========Define names for LCD instructions==========
SYMBOL clrLCD = 12	' Clear entire LCD screen. 
SYMBOL posCmd = 16	' Position cursor. 

' =================Begin demonstration=================
pause 1000			' Wait a sec. 
serout 0,n2400,(clrLCD) 	' Clear the screen. 
serout 0,n2400,("Hello World!")	' Print the message. 

' Now move the cursor to the middle of line 2 (character position 
' 21, sent using the single-byte method of 64 + position) and 
' print more text. Note that you can combine instructions and 
' text in a single serout instruction. 
serout 0,n2400,(posCmd,85,"Line 2")	' Print at middle of line 2. 
pause 2000				' Wait 2 seconds. 
serout 0,n2400,(clrLCD,"Goodbye.")	' Clear screen, say bye.  
END				' Finished. 